B::Hooks::EndOfScope(3)

NAME
B::Hooks::EndOfScope - Execute code after a scope finished compilation

SYNOPSIS
    on_scope_end { ... };

DESCRIPTION
This module allows you to execute code when perl finished compiling the surrounding scope.

FUNCTIONS

  on_scope_end
    on_scope_end { ... };

    on_scope_end $code;

Registers $code to be executed after the surrounding scope has been compiled.

This is exported by default. See Sub::Exporter on how to customize it.

SEE ALSO
Sub::Exporter

Variable::Magic

AUTHOR
Florian Ragwitz <rafl@debian.org>

COPYRIGHT AND LICENSE
This software is copyright (c) 2012 by Florian Ragwitz.

This is free software; you can redistribute it and/or modify it under the same terms as the Perl 5 programming language system itself.